%global         pypi_name pyasyncore

Summary:        Python module asyncore for Python 3.12 onwards
Name:           python-pyasyncore
Version:        1.0.2
Release:        2%{?dist}
License:        Python Software Foundation License Version 2
URL:            https://github.com/simonrob/pyasyncore
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%global _desc \
This package contains the asyncore module as found in Python \
versions prior to 3.12. It is provided so that existing code relying \
on import asyncore is able to continue being used without significant \
refactoring.
%description %_desc

%package -n     python3-pyasyncore
Summary:        %{summary}
%{?python_provide:%python_provide python3-pyasyncore}
%description -n python3-pyasyncore %_desc

%prep
%autosetup -n pyasyncore-%{version}
chmod 0644 LICENSE README.md
rm -rf pyasyncore.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-pyasyncore
%license LICENSE
%doc README.md
%{python3_sitelib}/pyasyncore-%{version}-py%{python3_version}.egg-info
%if 0%{?fedora} > 38
%{python3_sitelib}/asyncore
%endif

%changelog
* Thu Jul 13 2023 Terje Rosten <terje.rosten@ntnu.no> - 1.0.2-2
- Fix file listing

* Thu Jul 13 2023 Terje Rosten <terje.rosten@ntnu.no> - 1.0.2-1
- Initial package

